        turret_rifle =
        {
	    filename = "__sniper_turret__/graphics/entity/sniper_turret_placement.png",
		priority = "medium",
		scale = 1,
		width = 496,
	    height = 496,
		direction_count = 4,
		frame_count = 1,
		axially_symmetrical = false,
		shift = { 0.35, -0.35},
		}

data:extend({
{    
    type = "ammo-turret",
    name = "sniper-turret",
    icon = "__base__/graphics/icons/gun-turret.png",
    flags = {"placeable-player", "player-creation"},
    minable = {mining_time = 0.5, result = "sniper-turret"},
    max_health = 500,
    corpse = "medium-remnants",
    collision_box = {{-0.7, -0.7 }, {0.7, 0.7}},
    selection_box = {{-1, -1 }, {1, 1}},
    
	rotation_speed = 0.005,
    preparing_speed = 0.08,
    folding_speed = 0.08,
    dying_explosion = "medium-explosion",
    inventory_size = 1,
    automated_ammo_count = 10,
	call_for_help_radius = 40,
	
	folded_animation = (function()
			local res = util.table.deepcopy(turret_rifle)
			res.frame_count = 1
			res.line_length = 1
			return res
			end)(),
			preparing_animation = turret_rifle,
			
			prepared_animation =
            {
            layers =
              {
                {
			scale = 1,
			width = 496,
			height = 496,
			direction_count = 64,
			frame_count = 1,
			axially_symmetrical = false,
		    shift = { 0.35, -0.35},
			stripes =
			{
			 {
			   
			 
				filename = "__sniper_turret__/graphics/entity/sniper_turret_extension.png",
				width_in_frames = 4,
                height_in_frames = 4,			
			   },
			   {
				filename = "__sniper_turret__/graphics/entity/sniper_turret_extension2.png",
				width_in_frames = 4,
                height_in_frames = 4,			
			    },
				{
				filename = "__sniper_turret__/graphics/entity/sniper_turret_extension3.png",
				width_in_frames = 4,
                height_in_frames = 4,			
			    },
				{
				filename = "__sniper_turret__/graphics/entity/sniper_turret_extension4.png",
				width_in_frames = 4,
                height_in_frames = 4,			
			    }
			   }
			  }
			 }
			},
			    
			
			folding_animation = (function()
			local res = util.table.deepcopy(turret_rifle)
			res.run_mode = "backward"
			return res
			end)(),
			
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "rocket",
      cooldown = 270,
	  movement_slow_down_factor = 0,
      projectile_creation_distance = 5.5,
      projectile_center = {0.0, -1.25},
      damage_modifier = 15,
      range=300,
      sound = { filename = "__base__/sound/fight/tank-cannon.ogg", volume = 1 },
     }
	}
  })